Bug#880656: slapd: Overlay lastbind doesn't contain lastbind_forward_updates/olcLastBindForwardUpdates settings

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#880656: slapd: Overlay lastbind doesn't contain lastbind_forward_updates/olcLastBindForwardUpdates settings

Nerijus Kislauskas
Package: slapd
Version: 2.4.45+dfsg-1
Severity: wishlist

Dear Maintainer,

https://github.com/openldap/openldap/commit/44e9bda0e42f40e0baf0a2c0ef733eb757abd366

This is a commit of lastbind change to extend overlay's functionality. Two additional settings were added:

for slapd.conf:
lastbind_forward_updates

for cn=config:
olcLastBindForwardUpdates

Also documentation is updated. Those options are used to forward update of attribute 'authTimestamp" to the master instead of local DB. Trying to do this now gives an error:

#!ERROR [LDAP: error code 17 - olcLastBindForwardUpdates: attribute type undefined]
dn: olcOverlay={0}lastbind,olcDatabase={1}mdb,cn=config
changetype: modify
add: olcLastBindForwardUpdates
olcLastBindForwardUpdates: TRUE

Would be nice to have it working in Debian's slapd.


-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.13.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages slapd depends on:
ii  adduser                            3.116
ii  coreutils                          8.28-1
ii  debconf                            1.5.63
ii  libc6                              2.24-17
ii  libdb5.3                           5.3.28-13.1
ii  libgnutls30                        3.5.15-2
ii  libldap-2.4-2                      2.4.45+dfsg-1
ii  libltdl7                           2.4.6-2
ii  libodbc1                           2.3.4-1
ii  libperl5.26 [libmime-base64-perl]  5.26.0-8
ii  libsasl2-2                         2.1.27~101-g0780600+dfsg-3
ii  libwrap0                           7.6.q-26
ii  lsb-base                           9.20170808
ii  perl                               5.26.0-8
ii  psmisc                             23.1-1

Versions of packages slapd recommends:
ii  libsasl2-modules  2.1.27~101-g0780600+dfsg-3

Versions of packages slapd suggests:
ii  ldap-utils                                                    2.4.45+dfsg-1
pn  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimda  <none>

-- debconf information excluded

Reply | Threaded
Open this post in threaded view
|

Bug#880656: lastbind module and missing forwarding updates

David Magda-2
While the code is in the /master/ branch, it was never pulled into an
official release.

I've asked why this is:

        http://www.openldap.org/lists/openldap-technical/201901/msg00040.html

Regards,
David

Reply | Threaded
Open this post in threaded view
|

Bug#880656: lastbind module and missing forwarding updates

Ryan Tandy-4
On Thu, Jan 17, 2019 at 01:24:12PM -0500, David Magda wrote:
>While the code is in the /master/ branch, it was never pulled into an
>official release.
>
>I've asked why this is:
>
> http://www.openldap.org/lists/openldap-technical/201901/msg00040.html

OpenLDAP 2.4 is feature frozen and in maintenance mode, so I would
expect to see that feature included in the first 2.5 release.

Reply | Threaded
Open this post in threaded view
|

Bug#880656: lastbind module and missing forwarding updates

Ryan Tandy-4
Control: tag -1 fixed-upstream

This lastbind enhancement has been added to the 2.4 branch for the
upcoming 2.4.48 release. That makes it too late for buster, but it will
be available in bullseye and buster-backports.

http://www.openldap.org/lists/openldap-commit/201906/msg00025.html